/***
 * Fractal ADL Parser
 * Copyright (C) 2002-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: Eric.Bruneton@rd.francetelecom.com
 *
 * Author: Eric Bruneton
 */

package org.objectweb.fractal.adl.conform;

import java.util.HashMap;
import java.util.Map;

import org.objectweb.fractal.adl.Factory;
import org.objectweb.fractal.adl.FactoryFactory;

public class TestAutoCreate extends Test {
  
  public TestAutoCreate (final String name) {
    super(name);
  }
  
  public void test () throws Exception {
    Factory f = FactoryFactory.getFactory();
    Map ctxt = new HashMap();
    ctxt.put(
      "backend",
      "org.objectweb.fractal.adl.JavaBackend");
    // creates a new parser component with the bootstrap one 
    Map m = (Map)f.newComponent("org.objectweb.fractal.adl.BasicFactory", ctxt);
    f = (Factory)m.get("factory");
    // uses this new parser to check that it has been correctly created
    m = (Map)f.newComponent("org.objectweb.fractal.adl.BasicFactory", ctxt);
    f = (Factory)m.get("factory");
  }
}
